
pause on 
local code_direc "C:\Users\ignacior\Documents\Programs_git_repo2\2. denver_mechanism\exercise\"
local output_folder "Y:\DPS\MDmeetsRD Denver\Tables\stata output/"
local graph_folder "Y:\DPS\MDmeetsRD Denver\Tables\exercise/"
local clean_data "Y:\DPS\MDmeetsRD Denver\Data/"

set scheme s1color 

set trace off

local setup = 0
local graphs = 0
local lottery_number_setup = 0
local lottery_number_graph = 0
local diffGraph = 1


local date 20160624 /*20160526 20160517 05092015*/
if `setup' == 1 {
	matrix lotto = J(160,50,.)


	forval i = 1/25 {
		global kids_per_type = `i'
		do "`code_direc'lottery_simulations_subroutine_unscaled.do"
	}
	matrix list lotto
	
	clear
	svmat lotto
	ren lotto1 type

	foreach i of numlist 1/25 {
		local iplus = `i' + 1 
	
		ren lotto`iplus' n_`i'
	}
	
	drop lotto*
	gen score= ""
	replace score = "Formula for A" if _n < 5
	replace score = "Frequency by MID for A" if _n < 9 & score == ""
	replace score = "Frequency by Lottery" if _n < 13 & score == ""
	replace score = "Simulated Score for A" if _n <17  & score == ""
	replace score = "Average frequency when MID is shared " if _n < 21  & score == ""
	replace score = "Average simulated when MID is shared " if _n < 25  & score == ""
	
	replace score = "Average frequency when MID is different " if _n < 29  & score == ""
	replace score = "Average simulated when MID is different " if _n < 33  & score == ""
	
	
	replace score = "number of times Parag and atila different mid " if _n == 34  
	replace score = "proportion of parag and atila different mid" if _n == 35
	
	replace score = "proportion of times Parag and atila same mid given same score" if _n == 36  
	replace score = "proportion of times parag and atila same score given same mid" if _n == 37
	
	replace score = "variance tau_a" if _n == 38
	replace score = "variance tau_b" if _n == 39
	replace score = "variance tau_c" if _n == 40

	replace score = "variance tau_a when parag and atila share mid" if _n == 41
	replace score = "variance tau_b when parag and atila share mid" if _n == 42
	replace score = "variance tau_c when parag and atila share mid" if _n == 43
	
	replace score = "space" if _n == 44
	
	replace score = "Variance Formula score " if _n < 49  & score == ""	
	replace score = "Variance Frequency by MID" if _n < 53  & score == ""	
	replace score = "Variance Frequency by Lottery" if _n < 57  & score == ""	
	replace score = "Variance Simulated Score" if _n < 61  & score == ""	
	replace score = "Variance formula when MID is shared" if _n < 65  & score == ""	
	replace score = "Variance frequency when MID is shared" if _n < 69  & score == ""
	replace score = "Variance simulated when MID is shared " if _n < 73  & score == ""	
	replace score = "Variance formula when MID is different" if _n < 77  & score == ""	
	replace score = "Variance frequency when MID is different" if _n < 81  & score == ""	
	replace score = "Variance simulated when MID is different " if _n < 85  & score == ""	

	replace score = "Average Formula when MID is shared " if _n < 89  & score == ""	
	replace score = "Average Formula when MID is different " if _n < 93  & score == ""	
	
	replace score = "Var(simulated) - Var(frequency) " if _n < 97  & score == ""	
	replace score = "sqrt(Var(simulated) - Var(frequency)) " if _n < 101  & score == ""	

	replace score = "Formula for B" if _n < 105 & score == ""
	replace score = "Frequency by MID for B" if _n < 109 & score == ""
	replace score = "Frequency by Lottery for B" if _n < 113 & score == ""
	replace score = "Simulated Score for B" if _n <117  & score == ""

	replace score = "Formula for C" if _n < 121 & score == ""
	replace score = "Frequency by MID for C" if _n < 125 & score == ""
	replace score = "Frequency by Lottery for C" if _n < 129 & score == ""
	replace score = "Simulated Score for C" if _n <133  & score == ""
	
	replace score = "pseudo frequency score for A" if _n < 137 & score == ""
	replace score = "pseudo Simulated score for A" if _n <141  & score == ""	
	replace score = "pseudo frequency with real offer for A" if _n <145  & score == ""	
	
	
	order score, first
	outsheet using "`output_folder'simulations_convergence_unscaled_`date'.csv", c replace
}


if `graphs' == 1 {

	insheet using "`output_folder'simulations_convergence_unscaled_`date'.csv", clear
	
	keep if inlist(score, "Formula", "Frequency by MID", "Simulated Score")
	
	replace score = "Formula Score" if score == "Formula"
	replace score = "Frequency Score" if score == "Frequency by MID"

	
	drop if type == .
	
	reshape long n_, i( score type)

	ren _j n_in_economy
	ren n_ pscore
	egen id = group(type score)
	
	gen type_name = ""													
	replace type_name = "Josh" if type == 1
	replace type_name = "Parag" if type == 2
	replace type_name = "Atila" if type == 3
	replace type_name = "Yusuke" if type == 4
		
	xtset id n_in
	
	
	labmask id, values(score)
	
		
	
	format pscore %03.2f
	
	xtline pscore if type != 1 & type_name == "Parag", plot1(lpattern(shortdash) lwidth(medium)) plot2(lpattern(longdash) lwidth(medium)) plot3(lwidth(medium)) ///
															overlay plotregion(style(none)) /*nodraw */ yline(0.08333, lstyle(solid) lcolor(gray)) ///
															title("Type 2")  ylabel(  0.0(0.1)0.5  , angle(horizontal)) xlabel(  0(4)24  ) ///
															xtitle( " " "Number of Students") name("parag", replace) ytitle("Propensity" "Score", orientation(horizontal) bmargin(medium))

	xtline pscore if type != 1 & type_name == "Atila", plot1(lpattern(shortdash) lwidth(medium)) plot2(lpattern(longdash) lwidth(medium)) plot3(lwidth(medium)) ///
															overlay plotregion(style(none)) nodraw yline(0.08333, lstyle(solid) lcolor(gray)) ///
															title("Type 3")  ylabel(  0.0(0.1)0.5 , angle(horizontal) ) xlabel(  0(4)24  ) ///
															xtitle( " " "Number of Students") name("atila", replace) ytitle("", orientation(horizontal) bmargin(medium))
	

	xtline pscore if type != 1 & type_name == "Yusuke" , plot1(lpattern(shortdash) lwidth(medthick)) plot2(lpattern(longdash) lwidth(thick)) plot3(lwidth(medium)) ///
															overlay plotregion(style(none)) nodraw yline(0.8333, lstyle(solid) lcolor(gray)) ///
															title("Type 4")  ylabel(  0.4(0.1)0.9 , angle(horizontal) ) xlabel(  0(4)24  ) ///
															xtitle( " " "Number of Students") name("yusuke", replace)	ytitle("", orientation(horizontal) bmargin(medium))
															
															
	grc1leg parag atila yusuke, rows(1) name(types, replace)
	graph display types, xsize(10)
	
														
	graph export "Y:\DPS\MDmeetsRD Denver\Graphs\scores_by_type_panel.png", replace
	graph export "Y:\DPS\MDmeetsRD Denver\Graphs\scores_by_type_panel.pdf", replace
	
	
	* New figure 2
	
	xtline pscore  if type != 1 & score == "Simulated Score", ylabel(  0.0(0.3)0.93  , angle(horizontal)) overlay plotregion(style(none)) ///
																plot1opts(lwidth(medthick) lcolor(black)) plot2opts(lwidth(medthick) lcolor(green)) plot3opts(lwidth(medthick) lcolor(midblue )) ///
																legend(/*order(1 "Type 2" 2 "Type 3" 3 "Type 4")*/ off) ytitle("", orientation(horizontal))  xtitle( " " "Number of Students") ///
																yline(0.08333, lpattern(dash) lcolor(red)) yline(0.83333, lpattern(dash) lcolor(red)) ///
																text(0.12 2 "Type 2", color(black)) text(0.01 2 "Type 3", color(green))  text(0.92 2 "Type 4", color(midblue)) ///
																text(0.08333 -2  "0.0833", color(red)) text(0.8333 -2  "0.833", color(red)) ///
																title("Probability Of Assignment to School a")
	
	graph export "Y:\DPS\MDmeetsRD Denver\Graphs\convergence_simulated.png", replace
	graph export "Y:\DPS\MDmeetsRD Denver\Graphs\convergence_simulated.pdf", replace
	
	
	* plotting difference between parag and atila for simulated as n grows
	* also plotting difference when parag and atila share mid. 
	
	stop
	


}


if `lottery_number_setup' == 1 {

	use "`clean_data'lotto_simulations_100000draws_1kids_unscaled.dta", clear
	
	keep lottery_number tau* mida type id draw
	
	local max_kids 10
	
	foreach i of numlist 2/`max_kids' {
	
		append using "`clean_data'lotto_simulations_100000draws_`i'kids_unscaled.dta", keep(lottery_number tau* mida type id draw)

	}
	
	
	save "`clean_data'lotto_simulations_aggregated_1to`max_kids'_unscaled.dta", replace
}

if `lottery_number_graph' == 1 {
	
	local load = 1
	
	local max_kids 6
	
	if `load' == 1 {
		use "`clean_data'lotto_simulations_aggregated_1to`max_kids'_unscaled.dta", clear
	}
	graph drop _all
	
	* for mid
	
	foreach typev in `"atila"' `"parag"'  {
		twoway (scatter lottery_number mida, msize(vtiny)) ///
		(lfit lottery_number mida ) if type == "`typev'", nodraw name("mid_`typev'") title("`typev'") ///
														plotregion(style(none)) ylabel( , angle(horizontal) )
	}
	
	graph combine mid_parag mid_atila 
	
	stop 
	
	* for taua  

	foreach typev in `"atila"' `"parag"' `"yusuke"' {
		
		local yaxtitle ""
		
		if "`typev'" == "parag" {
			local color "navy  "
			local yaxtitle "Lottery Number
		}
		
		else if "`typev'" == "atila" {
			local color "teal"
		
		}
		
		else if "`typev'" == "yusuke" {
			local color "stone"		
		
		}
		twoway (scatter lottery_number taua, msize(vtiny)  mcolor(`color')) ///
		(lfit lottery_number taua ) if type == "`typev'", nodraw name("taua_`typev'") title("`typev'") ///
														plotregion(style(none)) ylabel( , angle(horizontal) ) ///
														xtitle(" " "taua")
		
	}
	
	grc1leg  taua_parag taua_atila taua_yusuke, rows(1)
		
	* for taub
	foreach typev in `"atila"' `"parag"' `"yusuke"' {
	
		if "`typev'" == "parag" {
			local color "navy  "
		}
		
		else if "`typev'" == "atila" {
			local color "teal"
		
		}
		
		else if "`typev'" == "yusuke" {
			local color "stone"		
		
		}
		twoway (scatter lottery_number taub, msize(vtiny) mcolor(`color') ) ///
		(lfit lottery_number taub ) if type == "`typev'" * , nodraw name("taub_`typev'") title("`typev'") ///
														plotregion(style(none)) ylabel( , angle(horizontal) )
	}
	
	graph combine taub_parag taub_atila taub_yusuke
		
		
	* for tauc
	foreach typev in `"atila"' `"parag"' `"yusuke"' {
		twoway (scatter lottery_number tauc, msize(vtiny) mcolor(`color') ) ///
		(lfit lottery_number tauc ) if type == "`typev'", nodraw name("tauc_`typev'") title("`typev'") ///
														plotregion(style(none)) ylabel( , angle(horizontal) )
	}
	
	graph combine tauc_parag tauc_atila tauc_yusuke 
			
}

if `diffGraph' == 1 {

	insheet using "`output_folder'simulations_convergence_unscaled_`date'.csv", clear	
	
	keep if inlist(score,  "Average simulated when MID is shared ", "Simulated Score for A")

	reshape long n_, i(score type) j(n_in_economy)
	
	ren n_ pscore	
	
	gen type_name = ""													
	replace type_name = "Josh" if type == 1
	replace type_name = "Parag" if type == 2
	replace type_name = "Atila" if type == 3
	replace type_name = "Yusuke" if type == 4
	
	reshape wide pscore type  , i(score n_in_economy) j( type_name) string
	
	
	gen diffAtilaParag = pscoreAtila - pscoreParag
		
	twoway (line diffAtilaParag n_in_economy if score == "Simulated Score for A" ) ///
			(line diffAtilaParag n_in_economy if score == "Average simulated when MID is shared ") ///
							, ///
							legend(order(1 "Simulated Score" "all cases" 2 "Simulated score" "when MID is shared")) ///
							plotregion(style(none)) ///
							yline(0) ///
							xtitle( " " "Number of Students") ///
							ytitle("Propensity" "Score", orientation(horizontal) bmargin(medium))	///
							///ylabel(  -0.005(0.0025)0.01  ) ///
							yscale( titlegap(4)) /// 
							title("Difference between Atila and Parag's" "average simulated score")
	graph export "Y:\DPS\MDmeetsRD Denver\Graphs\difference_simulated_parag_atila.pdf", replace
	


}




