/* 	Mayara Felix
	1/12/2015
	
	This code imports a modeified version of the assignment file (Based on Atila's DA simulation)
	and produces propensity score files for it.
	
*/
local cleandata "Y:/DPS/MDmeetsRD Denver/Data/"
local dta "Y:/DPS/MDmeetsRD Denver/Data/simulated_offers/"

local master_AT_RUN = 1

local outputdate 20160518 /*20150708*/

set more off

*****************************************************************
********************* Create AT RUN file ************************
*****************************************************************

if `master_AT_RUN'==1{

* Insheet curremt AT RUN file

	insheet using "Y:/DPS/Raw Data/2013_03_21_enrollment-match/1_AT_RUN_022262012.csv", names clear

		ren status actual_status
		ren lotterynumber actual_lotterynumber

		tempfile at_run
		sa `at_run'

		
		
* Bring in simulated offers and simulated lottery numbers. Keep all simulated results	
	forvalues i = 1(10)391 {
	
		local j = `i'+9
	
		insheet using "Y:/DPS/Raw Data/2014_12_02_DA_probabilities_and_results/results/fixed_lottery_numbers_actual_economy/1_400/ActualEconomy_results/`i'_`j'_results.csv", names clear
		
		keep dstlink random* status*
		renvars random*, subst("random" "lotterynumber")
		
		tempfile sim`i'_`j'
		sa `sim`i'_`j''
	}
	

* Merge with AT RUN	
	
		merge 1:1 dstlink using `at_run'
		keep if _merge!=1
		drop _merge
	
	forvalues i = 1(10)381 {
		
		local j = `i'+9
		
		merge 1:1 dstlink using `sim`i'_`j''
		keep if _merge == 3
		drop _merge
	
	}
		
		order actual_status actual_lotterynumber status* lotterynumber*, last
		
		drop v15-v36
		
		sum actual_lotterynumber
		sum lotterynumber1
		
		save "`dta'DA_offers_master_AT_RUN `outputdate'.dta", replace
}
