/* 	Mayara Felix
	1/12/2015
	
	This code imports a modeified version of the assignment file (Based on Atila's DA simulation)
	and produces propensity score files for it.
	
	Ignacio 20160419: Updating this for year 2 
	At run data doenst have unique values of dst link for year 2 need to clean thme 
	
*/
local cleandata "Y:/DPS/MDmeetsRD Denver/Data/"
local dta "Y:/DPS/MDmeetsRD Denver/Data/simulated_offers/"

local master_AT_RUN = 1

pause on

local outputdate 20170310 /*20160518  20160419 20150708*/

global asgndata  "Y:/DPS/Raw Data/2013_03_21_enrollment-match/"
global sim_files "Y:\DPS\Raw Data\2016_04_19_400_simulation_lottery_year2\SimulationResultsWithRandomNumbers\SimulationResultsWithRandomNumbers/"


set more off

*****************************************************************
********************* Create AT RUN file ************************
*****************************************************************

if `master_AT_RUN'==1{

* Insheet curremt AT RUN file

	insheet using "${asgndata}1_AT_RUN_02262013.csv", names clear
	
	*just dropping duplicates. The duplicate dstlinks have the same info for all relevant vars. 
	duplicates drop dstlink, force 
	
	*this student has unique dstlinks but is applying to multiple grades in the same school. Keeping grade 4 because that is where he was accepted
	egen fakeid = group(masked)
	drop if fakeid == 25816 & grade == "04"
	drop fakeid 
	
	ren status actual_status
	ren lotterynumber actual_lotterynumber

	tempfile at_run
	sa `at_run'

		
	* Bring in simulated offers and simulated lottery numbers. Keep all simulated results	
	*creating a temp file which will merge all of these raw files together
	insheet using "${sim_files}1.csv", names clear	
	ren simulationstatus simulationstatus1
	ren randomnumber lottery_number1
	tempfile sim_file
	sa `sim_file'

	/*
	insheet using "${sim_files}2.csv", names clear	
	ren simulationstatus simulationstatus2
	ren randomnumber lottery_number2
	merge 1:1 dstlink using `sim_files' 

	*/
	tempfile sim_files
	forvalues i = 2/400 {

		insheet using "${sim_files}`i'.csv", names clear	
		ren simulationstatus simulationstatus`i'
		ren randomnumber lottery_number`i'
		di "AFTER USE"
		merge 1:1 dstlink using `sim_file', nogen
		sa `sim_file', replace

	}

	

	* Merge with AT RUN	
	merge 1:1 dstlink using `at_run'
	keep if _merge!=1
	drop _merge
	
	order actual_status actual_lotterynumber , last
	
	

	
	save "`dta'DA_offers_master_AT_RUN_year_2 `outputdate'.dta", replace
}
